Loading...
Searching...
No Matches
gr::fec Namespace Reference

## Namespaces

namespace | code

## Classes

class | async_decoder
| Creates the decoder block for use in GNU Radio flowgraphs from a given FEC API object derived from the generic_decoder class. More...
class | async_encoder
| Creates the encoder block for use in GNU Radio flowgraphs with async message from a given FEC API object derived from the generic_encoder class. More...
class | ber_bf
| BER block in FECAPI. More...
class | conv_bit_corr_bb
| Correlate block in FECAPI. More...
class | decode_ccsds_27_fb
| A rate 1/2, k=7 convolutional decoder for the CCSDS standard. More...
class | decoder
| General FEC decoding block that takes in a decoder variable object (derived from gr::fec::general_decoder) for use in a flowgraph. More...
class | depuncture_bb
| Depuncture a stream of samples. More...
class | encode_ccsds_27_bb
| A rate 1/2, k=7 convolutional encoder for the CCSDS standard. More...
class | encoder
| Creates the encoder block for use in GNU Radio flowgraphs from a given FECAPI object derived from the generic_encoder class. More...
class | generic_decoder
| Parent class for FECAPI objects. More...
class | generic_encoder
class | ldpc_decoder
class | ldpc_encoder
class | puncture_bb
| Puncture a stream of unpacked bits. More...
class | puncture_ff
| Puncture a stream of floats. More...
class | tagged_decoder
| General FEC decoding block that takes in a decoder variable object (derived from gr::fec::general_decoder) for use in a flowgraph. More...
class | tagged_encoder
| Creates the encoder block for use in GNU Radio flowgraphs from a given FECAPI object derived from the generic_encoder class. More...
class | tpc_common
class | tpc_decoder
class | tpc_encoder
struct | viterbi_state

## Functions

FEC_API int | get_decoder_output_size (generic_decoder::sptr my_decoder)
FEC_API int | get_decoder_input_size (generic_decoder::sptr my_decoder)
FEC_API float | get_shift (generic_decoder::sptr my_decoder)
FEC_API int | get_history (generic_decoder::sptr my_decoder)
FEC_API int | get_decoder_input_item_size (generic_decoder::sptr my_decoder)
FEC_API int | get_decoder_output_item_size (generic_decoder::sptr my_decoder)
FEC_API const char * | get_decoder_input_conversion (generic_decoder::sptr my_decoder)
FEC_API const char * | get_decoder_output_conversion (generic_decoder::sptr my_decoder)
FEC_API int | get_encoder_output_size (generic_encoder::sptr my_encoder)
FEC_API int | get_encoder_input_size (generic_encoder::sptr my_encoder)
FEC_API const char * | get_encoder_input_conversion (generic_encoder::sptr my_encoder)
FEC_API const char * | get_encoder_output_conversion (generic_encoder::sptr my_encoder)
FEC_API void | gen_met (int mettab[2][256], int amp, double esn0, double bias, int scale)
FEC_API unsigned char | encode (unsigned char *symbols, const unsigned char *data, unsigned int nbytes, unsigned char encstate)
FEC_API void | viterbi_chunks_init (struct viterbi_state *state)
FEC_API void | viterbi_butterfly2 (unsigned char *symbols, int mettab[2][256], struct viterbi_state *state0, struct viterbi_state *state1)
FEC_API unsigned char | viterbi_get_output (struct viterbi_state *state, unsigned char *outbuf)

## Function Documentation

## encode()

FEC_API unsigned char gr::fec::encode | ( | unsigned char * | symbols,
|  | const unsigned char * | data,
|  | unsigned int | nbytes,
|  | unsigned char | encstate )

References FEC_API.

## gen_met()

FEC_API void gr::fec::gen_met | ( | int | mettab[2][256],
|  | int | amp,
|  | double | esn0,
|  | double | bias,
|  | int | scale )

## get_decoder_input_conversion()

FEC_API const char * gr::fec::get_decoder_input_conversion | ( | generic_decoder::sptr | my_decoder | ) |

see generic_decoder::get_input_conversion()

References FEC_API.

## get_decoder_input_item_size()

FEC_API int gr::fec::get_decoder_input_item_size | ( | generic_decoder::sptr | my_decoder | ) |

see generic_decoder::get_input_item_size()

References FEC_API.

## get_decoder_input_size()

FEC_API int gr::fec::get_decoder_input_size | ( | generic_decoder::sptr | my_decoder | ) |

see generic_decoder::get_input_size()

References FEC_API.

## get_decoder_output_conversion()

FEC_API const char * gr::fec::get_decoder_output_conversion | ( | generic_decoder::sptr | my_decoder | ) |

see generic_decoder::get_output_conversion()

References FEC_API.

## get_decoder_output_item_size()

FEC_API int gr::fec::get_decoder_output_item_size | ( | generic_decoder::sptr | my_decoder | ) |

see generic_decoder::get_output_item_size()

References FEC_API.

## get_decoder_output_size()

FEC_API int gr::fec::get_decoder_output_size | ( | generic_decoder::sptr | my_decoder | ) |

see generic_decoder::get_output_size()

References FEC_API.

## get_encoder_input_conversion()

FEC_API const char * gr::fec::get_encoder_input_conversion | ( | generic_encoder::sptr | my_encoder | ) |

see generic_encoder::get_input_conversion()

References FEC_API.

## get_encoder_input_size()

FEC_API int gr::fec::get_encoder_input_size | ( | generic_encoder::sptr | my_encoder | ) |

see generic_encoder::get_input_size()

References FEC_API.

## get_encoder_output_conversion()

FEC_API const char * gr::fec::get_encoder_output_conversion | ( | generic_encoder::sptr | my_encoder | ) |

see generic_encoder::get_output_conversion()

References FEC_API.

## get_encoder_output_size()

FEC_API int gr::fec::get_encoder_output_size | ( | generic_encoder::sptr | my_encoder | ) |

see generic_encoder::get_output_size()

References FEC_API.

## get_history()

FEC_API int gr::fec::get_history | ( | generic_decoder::sptr | my_decoder | ) |

see generic_decoder::get_history()

References FEC_API.

## get_shift()

FEC_API float gr::fec::get_shift | ( | generic_decoder::sptr | my_decoder | ) |

see generic_decoder::get_shift()

References FEC_API.

## viterbi_butterfly2()

FEC_API void gr::fec::viterbi_butterfly2 | ( | unsigned char * | symbols,
|  | int | mettab[2][256],
|  | struct viterbi_state * | state0,
|  | struct viterbi_state * | state1 )

References FEC_API.

## viterbi_chunks_init()

FEC_API void gr::fec::viterbi_chunks_init | ( | struct viterbi_state * | state | ) |

References FEC_API.

## viterbi_get_output()

FEC_API unsigned char gr::fec::viterbi_get_output | ( | struct viterbi_state * | state,
|  | unsigned char * | outbuf )

References FEC_API.